IF  EXISTS (SELECT * FROM sys.triggers WHERE object_id = OBJECT_ID(N'[FIES].[T_AGE_GROUP_ForUpdate]'))
DROP TRIGGER [FIES].[T_AGE_GROUP_ForUpdate]
GO

--Изменение Alias-а записей:
CREATE TRIGGER [FIES].[T_AGE_GROUP_ForUpdate] ON [FIES].[T_AGE_GROUP]
FOR UPDATE 
AS
BEGIN

 SET NOCOUNT ON
    IF(UPDATE(Alias))
    BEGIN

        declare @sql nvarchar(max)

        SELECT @sql =
        N'EXECUTE sp_rename N''' + N'FIES.T_' + t2.EntName + N'.' +  t01.Alias + N''', N''' + t1.Alias + ''', ''COLUMN'';'
        FROM inserted t1
        JOIN deleted t01 on t01.AgeGroupID = t1.AgeGroupID
        JOIN [VCLib].T_ENTITIES t2 on t2.EntName in ( 'MO_PEOPLE' )

        exec sp_executesql @sql

    END

END